Load Auth Reversal

Reverse a previously authorized load transaction.

This method can only return the result codes of 1 (success) or -9 (an error occurred while queuing the reversal).
KLV will not be sent for reversals. Only reference data will be included if there is any.


REQUEST

Path Parameters

ParameterTypeConstraintsDescription
terminalIDstring10 characters, requiredOur partner issued terminal ID of the terminal requesting the transaction
referencestring1–255 chars, requiredThe reference of the wallet to reverse a previous load
requestAmountintegerrequiredThe amount of the original load to be reversed
narrativestring1–255 chars, requiredA description of the terminal where the card was used
transactionDatastring0–2048 chars, requiredExtra information about the transaction in KLV format
referenceIDstring1–255 chars, requiredTransaction ID of the original load to be reversed
referenceDatedaterequiredTransaction date of the original load to be reversed
transactionIDstring1–255 chars, requiredTransaction ID to identify the reversal message.
Note that the Transaction ID is not a unique value and may be duplicated over time.
transactionDatedaterequiredTransaction date to identify the reversal message
checksumstringrequiredHMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key

XML Request Example

<?xml version="1.0"?>
<methodCall>
  <methodName>LoadAuthReversal</methodName>
  <params>
    <param><value><string>0014682067</string></value></param>
    <param><value><string>IMPLTest</string></value></param>
    <param><value><int>10000</int></value></param>
    <param>
      <value><string>Tutuka Test Pretoria ZAF</string></value>
    </param>
    <param><value><string></string></value></param>
    <param><value><string>192316</string></value></param>
    <param>
      <value>
        <dateTime.iso8601>20240313T11:20:00</dateTime.iso8601>
      </value>
    </param>
    <param><value><string>192325</string></value></param>
    <param>
      <value>
        <dateTime.iso8601>20240313T11:20:00</dateTime.iso8601>
      </value>
    </param>
    <param>
      <value>
        <string>47D4F5C6E263FA295D492A925DF607773D3F1B9B</string>
      </value>
    </param>
  </params>
</methodCall>

RESPONSE

STATUS 200 OK

SCHEMA


Response

Fields

FieldTypeDescription
resultCodeintegerStatus code indicating transaction result

XML Response Example

<?xml version="1.0"?>
<methodResponse>
  <params>
    <param>
      <value>
        <struct>
          <member>
            <name>resultCode</name>
            <value>
              <int>1</int>
            </value>
          </member>
        </struct>
      </value>
    </param>
  </params>
</methodResponse>